=== debian/changelog ===
comixcursors (0.10.0-1) unstable; urgency=medium

  * The “Hedy Lamarr” release.
  * New upstream version.
    Highlights since previous release:
    * Simplified cursor resize.
    * Bug fix for some corrupted images.
  * debian/watch:
    * Update UScan configuration for current upstream source release site.
  * Declare conformance to “Standards-Version: 4.7.2”.
    No additional changes needed.
  * debian/patches/01-custom-destdir.patch:
    * Refresh patch for new upstream source.

 -- Ben Finney <bignose@debian.org>  Wed, 04 Jun 2025 10:45:45 +1000
