=== debian/control ===
Source: comixcursors
Section: x11
Priority: optional
Maintainer: Ben Finney <bignose@debian.org>
Build-Depends:
    bc,
    librsvg2-bin,
    imagemagick,
    x11-apps,
    debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://gitlab.com/limitland/comixcursors/
VCS-Git: https://salsa.debian.org/bignose/pkg-comixcursors.git
VCS-Browser: https://salsa.debian.org/bignose/pkg-comixcursors
Rules-Requires-Root: no

Package: comixcursors-righthanded
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-lefthanded,
    comixcursors-righthanded-opaque,
    comixcursors-lefthanded-opaque
Provides: comixcursors
Description: X11 mouse pointer themes with a comic art feeling (RH, translucent)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the “original” (right-handed, translucent)
 ComixCursors themes.

Package: comixcursors-lefthanded
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-righthanded-opaque,
    comixcursors-lefthanded-opaque
Description: X11 mouse pointer themes with a comic art feeling (LH, translucent)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the left-handed, translucent ComixCursors
 themes.

Package: comixcursors-righthanded-opaque
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-lefthanded,
    comixcursors-lefthanded-opaque
Description: X11 mouse pointer themes with a comic art feeling (RH, opaque)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the right-handed, opaque ComixCursors themes.

Package: comixcursors-lefthanded-opaque
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-lefthanded,
    comixcursors-righthanded-opaque
Description: X11 mouse pointer themes with a comic art feeling (LH, opaque)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the left-handed, opaque ComixCursors themes.
